// ident "@(#)VConsoleResources.java	1.11 99/08/05 SMI"

package com.sun.smartcard.mgt.resources;

import java.util.*;
import java.awt.*;

/**
 * A ResourceBundle class to hold all the String resources for
 * the console toolkit base classes.
 *
 * @version 1.9, 02/01/99
 */
public class ConsoleResources extends ListResourceBundle {

	public static Color 			sunBlue			= new Color(102,102,153);
	public static Color 			reallyLightGray	= new Color(237,239,239);

    static final Object[][] contents = {
    	// DON'T LOCALIZE
    	{"VOptionPane",				"VOptionPane"},

    	// LOCALIZE

		// VSplashScreen
		{"Loading...",				"Loading..."},

		// VMenuBar
		{"New Window",				"New Window"},
		{"Console",					"Console"},
		{"C",					    "C"},
		{"New Console",				"New Console"},
		{"N",						"N"},
                {"Edit Config File",			"Edit Config File"},
		{"Open...",					"Open..."},
		{"O",						"O"},
		{"Save",					"Save"},
		{"S",						"S"},
		{"Save As...",				"Save As..."},
		{ "b",						"b" },
		{"A",						"A"},
		{"Add/Remove Plug-Ins...",	"Add/Remove Plug-Ins..."},
		{"Print...",				"Print..."},
		{"f",						"f"},
		{"Close",					"Close"},
		{"C",						"C"},
		{"Exit",					"Exit"},
		{"E",						"E"},
		{"Action",					"Action"},
		{"A",						"A"},
		{"Undo",					"Undo"},
		{"U",						"U"},
		{"Redo",					"Redo"},
		{"R",						"R"},
		{"Cut",						"Cut"},
		{"Copy",					"Copy"},
		{"o",						"o"},
		{"d",						"d"},
		{"Paste",					"Paste"},
		{"P",						"P"},
		{"Delete",					"Delete"},
		{"D",						"D"},
		{"Up Level",					"Up Level"},
		{"U",						"U"},
		{"View",					"View"},
		{"V",						"V"},
		{"Show",					"Show"},
		{"S",						"S"},
		{"Toolbar",					"Toolbar"},
		{"T",						"T"},
		{"Location bar",			"Location bar"},
		{"L",						"L"},
		{"Status bar",				"Status bar"},
		{"Panes",					"Panes"},
		{"P",						"P"},
		{"Navigation",				"Navigation"},
		{"N",						"N"},
		{"Information",				"Information"},
		{"I",						"I"},
		{"View As",					"View As"},
		{"A",						"A"},
		{"Large",					"Large"},
		{"Small",					"Small"},
		{"List",					"List"},
		{"i",						"i"},
		{"Details",					"Details"},
		{"Web Style",				"Web Style"},
		{"W",						"W"},
		{"r",						"r"},
		{"Remove Terminal",			"Remove Terminal" },
		{"Columns",					"Columns"},
		{"Sort by...",				"Sort by..."},
		{"o",						"o"},
		{"Preferences",				"Preferences"},
		{"P",						"P"},
		{"Find...",					"Find..."},
		{"Find",					"Find"},
		{"F",						"F"},
		{"Filter...",				"Filter..."},
		{"Filter",					"Filter"},
		{"i",						"i"},
		{"Help",					"Help"},
		{"H",						"H"},
		{"Index",					"Index"},
		{"About",					"About"},
		{"New Console",				"New Console"},
		{"Open Console",			"Open Console"},
		{"Refresh",					"Refresh"},
		{"Configuration...",		"Configuration..."},
		{"Properties",				"Properties"},
		{"P",						"P"},
		{"View Options",			"View Options"},
		{"Edit",					"Edit"},
		{"E",						"E"},
		{"Duplicate",				"Duplicate"},
		{"t",						"t"},
		{"Rename",					"Rename"},
		{"n",						"n"},
		{"Select All",				"Select All"},
		{"Deselect All",			"Deselect All"},
		{"s",						"s"},

		// VToolBar

		// VScopePane

		// VResultPane

		// VInfoPane

		// Window Label on context sensitive help pane

		// Button label to launch JavaHelp on context sensitive help pane

		// VStatusBar

		// VConsole

		// VWizard
		{"Next",					"Next"},
		{"Back",					"Back"},
		{"Cancel",					"Cancel"},
		{"Finish",					"Finish"},

		// General
		{"MenuFont",				new Font("Dialog", Font.BOLD, 10)},
		{"MenuColor",				Color.black},
		{"BodyFont",				new Font("SanSerif", Font.PLAIN, 10)},
		{"BodyColor",				Color.black},
		{"LabelFont",				new Font("Dialog", Font.BOLD, 10)},
		{"LabelColor",				sunBlue},

		{"sunBlue",					sunBlue},
		{"reallyLightGray",			reallyLightGray},

		{"Hide Information Pane",	"Hide Information Pane"},
		{"Show Information Pane",	"Show Information Pane"},
		{"Information",				"Information"},
		{"Console Location",		"Console Location"},

		{"Please select whether you wish to open a console from a remote server or the local file system.",
		 "Please select whether you wish to open a console from a remote server or the local file system."},

		{"Remote Server",			"Remote Server"},
		{"Local File System",		"Local File System"},

		{"Please enter the remote server from which you wish to open a console.",
		 "Please enter the remote server from which you wish to open a console."},

		{"Server:",					"Server:"},

		{"Please enter a username and password for the remote server.",
		 "Please enter a username and password for the remote server."},

		{"Username:",				"Username:"},
		{"Password:",				"Password:"},

		{"Please select whether you wish to open the default console for the remote server or choose a console from an available list.",
		 "Please select whether you wish to open the default console for the remote server or choose a console from an available list."},

		{"Default Console",			"Default Console"},
		{"Choose from list",		"Choose from list"},
		{"Open Console Status",		"Open Console Status"},
		{"Authenticating User",		"Authenticating User"},
		{"Retrieving Console Configuration",	"Retrieving Console Configuration"},
		{"Instantiating Toolset",	"Instantiating Toolset"},
		{"Constructing Display",	"Constructing Display"},
		{"Location:",				"Location:"},
		{"Stop Loading",			"Stop Loading"},
		{"Select an item.",			"Select an item."},
		{"Date",					"Date"},
		{"Time",					"Time"},
		{"Source",					"Source"},
		{"Message",					"Message"},
		{"Context Help",			"Context Help"},
		{"Console Log",				"Console Log"},
		{"Hide Navigation Pane",	"Hide Navigation Pane"},

		{"Retrieving Tool code for ",	"Retrieving Tool code for "},

		{"- no contents -",			"- no contents -"},
		{"Name",					"Name"},
		{"Description",				"Description"},
		{" Item(s).",				" Item(s)."},
		{"hh:mm:ss a",				"hh:mm:ss a"},
		{"MM/dd/yy",				"MM/dd/yy"},
		{" Items selected.",			" Items selected."},
		{"Next Event",				"Next Event"},
		{"Previous Event",			"Previous Event"},
		{"Type",					"Type"},
		{"Log Viewer",				"Log Viewer"},
		{"OK",						"OK"},
		{"Apply",					"Apply"},
		{"FILTERED VIEW",			"FILTERED VIEW"},
		{"Contents",				"Contents"},
		{"Index",					"Index"},
		{"Search",					"Search"},
		{"Enter a keyword to find:","Enter a keyword to find:"},
		{"List Topics",				"List Topics"},
		{"Display",					"Display"},
		{"Find Criteria",			"Find Criteria"},
		{"Filter Criteria",			"Filter Criteria"},
		{"And",						"And"},
		{"Or",						"Or"},
		{"Match Case",				"Match Case"},
		{"Look For:",				"Look For:"},
		{"Look In:",				"Look In:"},
		{"Omit:",					"Omit:"},
		{"Find Results",			"Find Results"},
		{"Go To Item",				"Go To Item"},
		{"Total Items:",			"Total Items:"},
		{"Show:",					"Show:"},
		{"Display In:",				"Display In:"},
		{"Unfilter",				"Unfilter"},
		{"Clear",					"Clear"},
		{"Open Console Wizard",		"Open Console Wizard"},

		{"Events and Alarms",		"Events and Alarms"},
		{"Critical",				"Critical"},
		{"Major",					"Major"},
		{"Minor",					"Minor"},
		{"Warning",					"Warning"},
		{"Corrupt",
		   " is corrupt.  Please delete it and restart the GUI" },
		   
		{"Indeterminate",			"Indeterminate"},
		{"Cleared",					"Cleared"},
		{"Down",					"Down"},
		{"Disabled",				"Disabled"},
		{"Okay",					"Okay"},
		{"Info",					"Info"},

		{" - [ ] denotes an optional parameter.",	" - [ ] denotes an optional parameter."},

		{"Error:",						"Error:"},
		{"Usage:",						"Usage:"},
		{"Missing Option(s):",			"Missing Option(s):"},
		{"Problem parsing input.",		"Problem parsing input."},
		{"Missing Argument for -",		"Missing Argument for -"},
		{"Unknown option: -",			"Unknown option: -"},
		{"Invalid argument:",			"Invalid argument:"},
		{"Problem parsing arguments.",	"Problem parsing arguments."},
		{"Too many arguments for -",	"Too many arguments for -"},
		{"(optional)",					"(optional)"},
		{"(required)",					"(required)"},

		{"Type '/?' for help, pressing <enter> accepts the default denoted by [ ]",
		"Type '/?' for help, pressing <enter> accepts the default denoted by [ ]"},
		{"Enter multiple values by separating each value with a space.",
		"Enter multiple values by separating each value with a space."},

		{"Please enter a boolean value for:",	"Please enter a boolean value for:"},
		{"([yes] | no)",				"([yes] | no)"},
		{"(yes | [no])",				"(yes | [no])"},
		{"Please enter an integer value for:",	"Please enter an integer value for:"},
		{"Please enter a decimal value for:",	"Please enter a decimal value for:"},
		{"Please enter a string value for:",	"Please enter a string value for:"},

    };

    public Object[][] getContents() {
        return contents;
    }
}
